//
//  SamplePlugin.m
//  PhoneGapPluginDataPush
//
//  Created by Andrew Trice on 2/29/12.
//  Copyright (c) 2012 Adobe Systems. All rights reserved.
//

#import "SamplePlugin.h"

@implementation SamplePlugin


- (void) start:(NSMutableArray*)arguments withDict:(NSMutableDictionary*)options {

    NSString* callbackID = [arguments pop];
    
    NSLog(@"start invoked");


    [NSTimer scheduledTimerWithTimeInterval:1.0
                                     target:self
                                   selector:@selector(onTick:)
                                   userInfo:nil
                                    repeats:YES]; 


    PluginResult* pluginResult = [PluginResult resultWithStatus:PGCommandStatus_OK messageAsString: @"OK"];
    [self writeJavascript: [pluginResult toSuccessCallbackString:callbackID]];
}

-(void)onTick:(NSTimer *)timer {
    
    NSLog(@"timer tick!");
    
    NSDateFormatter *formatter = [[NSDateFormatter alloc] init];
    [formatter setDateFormat:@"dd-MM-yyyy HH:mm:ss"];
    
    NSString *dateString = [formatter stringFromDate:[NSDate date]];
    NSString *js = [NSString stringWithFormat:@"updateContent( '%@' );", dateString];
    
    [self writeJavascript:js];
}

@end
